function [Current,Res]=IV_steady()
gamma=4;
up=300;

for main_i=1:10
    deltaV=1;
    BIAS1=main_i/2;
    G0=18.67;% 21.0526 unit power light mW.conresponse to the light generation of 0.0012 % 1.2 % 0.12 0.0016
    G00=G0; % this is the power of the light of input
    %G00=main_i*1.3e-4;

    Ae=4e4;
    Be=9.3e5;
    Ah=0;
    Bh=2.26e6;
    Impact_Ion=0;
    BF=0;
 
    DeltaEA=0.025;
    DeltaED=0.005;
    
    if main_i==1
        [p,n,w,Js]=SteadyPDsolver(1,BF,G00,gamma,up,0,Ae,Be,Ah,Bh,0,0,0,0,0,deltaV,DeltaEA,DeltaED);
        [p,n,w,Js]=SteadyPDsolver(1,BF,G00,gamma,up,Impact_Ion,Ae,Be,Ah,Bh,1,p,n,w,Js,deltaV,DeltaEA,DeltaED);
        Current(main_i)=Js;
    else
        [p,n,w,Js]=SteadyPDsolver(BIAS1,BF,G00,gamma,up,Impact_Ion,Ae,Be,Ah,Bh,1,p,n,w,Js,deltaV,DeltaEA,DeltaED);
        Current(main_i)=Js;
    end
    
end
Res=1000*Current/G0;
% plot(abs(Current));

%%
figure(2)
Responsivity;
hold on
plot((1:10)/2,abs(Res(1:10)),'g','linewidth',2);
    xl = xlabel('Bias (V)');
    yl = ylabel('Responsivity (A/W)');
     axis([1,5,0.3,0.6])
%     set(gca,'YTick',[-130:20:-10])
    set(gca, 'FontSize',14,'FontName','Times New Roman')
    set(xl, 'FontSize',14,'FontName','Times New Roman')
    set(yl, 'FontSize',14,'FontName','Times New Roman')
    set(gcf, 'PaperPosition',[0 0 4 3],'PaperSize',[4 3])
    set(gca, 'XMinorGrid', 'off')
    %set(gca,'YTickLabel',[-130:20:-10])
    grid on;
      