function [p,n,w,Js,pm,nm,wm,E,NP,pb1,pbn,nb1,nbn,wb1,wbn,fd1,mesh1,ss1,BF,GL,R_load,DeltaEA,DeltaED,alpha_p,alpha_n,NAP,NDP]=SteadyPDsolver(Bias,BF,P0,gamma,up,Impact_Ion,Ae,Be,Ah,Bh,initial_state,p_ini,n_ini,w_ini,Js_ini,deltaV,DeltaEA,DeltaED) 
%Impact_Ion,Ae,Be,Ah,Bh
% solving the steady state of pin photodetector
% Bias is the applied reversed voltage, 50 om resitance is included in the
% simulation.
% G0 is the generation rate
% SteadyPDsolver(5,1,1.3e-4,1,300,1,6.64e7,2e6,9.34e7,2,26e6)
Parameters_NR
% G0=G0/NP.Ni*NP.NT;
BF=BF;
capped=0;
Bias=Bias;
gamma=gamma;
up=up/NP.Nmu;
Impact_Ion=Impact_Ion;



%G0=1.3e-3/10;
remda=1.552e-6;% light wavelength;
Eph=6.626e-34*3e8/remda;
G0=0.001*P0*1.15e4/(pi*(15e-4)^2*Eph);% generation for diameter of 30um, 0.001 the unit thansfer from mW to W.
G0_N=G0*NP.NT/NP.Ni; % normlized generation unit is cm-3s-1
% G0_N=0.001202; % setting by myself.
GL(1:N,1)=((30e-4)^2./Diameter.^2)*G0_N; % per volume 
%GL(1:N,1)=1*G0; % per volume
%GL(1:N1,1)=1*Diameter(N2)^2./(30e-4).^2*1*G0;
%Franz=1; % Franz==1 use my Franz. 2 use campbell's Franz
% deltaV=deltaV;
Main_Fsolve_N_C_STATE;
end
