% fft of the output
clear

    

for ii=1:2000
    %dir=['Results-G\test\Jconstantdp30.txt'];
    dir=['Results/G3/D02/Jn_drift4',int2str(ii),'.txt'];
    fid=fopen(dir);
    Jn(:,ii)=fscanf(fid,'%f');
    fclose(fid);
    dir=['Results/G3/D02/Jp_diff4',int2str(ii),'.txt'];
    fid=fopen(dir);
    Jp(:,ii)=fscanf(fid,'%f');
    fclose(fid);
%     dir=['Results-G3\E05\Jpdrift20',int2str(ii),'.txt'];
%     fid=fopen(dir);
%     Jpdrift(:,ii)=fscanf(fid,'%f');
%     fclose(fid);
%     dir=['Results-G3\E05\Jpdiff20',int2str(ii),'.txt'];
%     fid=fopen(dir);
%     Jpdiff(:,ii)=fscanf(fid,'%f');
%     fclose(fid);
    dir=['Results/G3/D02/Jd4',int2str(ii),'.txt'];
    fid=fopen(dir);
    Jd(:,ii)=fscanf(fid,'%f');
    fclose(fid);
end
%%
dir=['Results/G3/D02/L.txt'];
fid=fopen(dir);
Lx=fscanf(fid,'%f');
fclose(fid);
%     dir=['Results-G2_1\59\Jdis',int2str(ii),'.txt'];
% fid=fopen(dir);  
% Jdis=fscanf(fid,'%f');    
% fclose(fid);
%J=J-Jdis;
%t=0:1e-13:1e-10;
%J=(sin(1e12*t)-3);
%J=J(1:round(end/-3));
%%
for iii=1:length(Lx)-1 % 1288 position 
 J1p=(Jp(iii,:));
 J1n=(Jn(iii,:));
 J1d=(Jd(iii,:));
 Jt=(Jp(iii,:)+Jn(iii,:));
 
fre=2e9;
dT=2e-12/(fre/1e9);
% t=0:T:2000*T;
% y=0.002*(sin(2*pi*fre*t)+1);
L=round(2*1/fre/dT);
% smapling time
Fs=1/dT;
%J0=1.2403e+005;
yp=J1p(end-L+1:end)';
yn=J1n(end-L+1:end)';
yd=J1d(end-L+1:end)';
yt=Jt(end-L+1:end)';

Fp1(iii)=2*abs(1/L*sum(yp.*exp(1i*2*pi*1*fre*[0:dT:dT*(L-1)]')));%/sum(wb)*L;
Fp2(iii)=2*abs(1/L*sum(yp.*exp(1i*2*pi*2*fre*[0:dT:dT*(L-1)]')));%/sum(wb)*L;
Fp3(iii)=2*abs(1/L*sum(yp.*exp(1i*2*pi*3*fre*[0:dT:dT*(L-1)]')));%/sum(wb)*L;
Fp4(iii)=2*abs(1/L*sum(yp.*exp(1i*2*pi*4*fre*[0:dT:dT*(L-1)]')));%/sum(wb)*L;
Fn1(iii)=2*abs(1/L*sum(yn.*exp(1i*2*pi*1*fre*[0:dT:dT*(L-1)]')));%/sum(wb)*L;
Fn2(iii)=2*abs(1/L*sum(yn.*exp(1i*2*pi*2*fre*[0:dT:dT*(L-1)]')));%/sum(wb)*L;
Fn3(iii)=2*abs(1/L*sum(yn.*exp(1i*2*pi*3*fre*[0:dT:dT*(L-1)]')));%/sum(wb)*L;
Fn4(iii)=2*abs(1/L*sum(yn.*exp(1i*2*pi*4*fre*[0:dT:dT*(L-1)]')));%/sum(wb)*L;
Fd1(iii)=2*abs(1/L*sum(yd.*exp(1i*2*pi*1*fre*[0:dT:dT*(L-1)]')));%/sum(wb)*L;
Fd2(iii)=2*abs(1/L*sum(yd.*exp(1i*2*pi*2*fre*[0:dT:dT*(L-1)]')));%/sum(wb)*L;
Fd3(iii)=2*abs(1/L*sum(yd.*exp(1i*2*pi*3*fre*[0:dT:dT*(L-1)]')));%/sum(wb)*L;
Fd4(iii)=2*abs(1/L*sum(yd.*exp(1i*2*pi*4*fre*[0:dT:dT*(L-1)]')));%/sum(wb)*L;
Ft1(iii)=2*abs(1/L*sum(yt.*exp(1i*2*pi*1*fre*[0:dT:dT*(L-1)]')));%/sum(wb)*L;
Ft2(iii)=2*abs(1/L*sum(yt.*exp(1i*2*pi*2*fre*[0:dT:dT*(L-1)]')));%/sum(wb)*L;
Ft3(iii)=2*abs(1/L*sum(yt.*exp(1i*2*pi*3*fre*[0:dT:dT*(L-1)]')));%/sum(wb)*L;
Ft4(iii)=2*abs(1/L*sum(yt.*exp(1i*2*pi*4*fre*[0:dT:dT*(L-1)]')));%/sum(wb)*L;
end
%%
 plot(1e4*Lx(1:end-1),10*log10(50*(1/2*Fp2.^2)*1000),'g--','linewidth',2)
 hold on
 %plot(Lx(1:end-1),10*log10(50*(1/2*Fd2.^2)*1000),'g--')
 plot(1e4*Lx(1:end-1),10*log10(50*(1/2*Fn2.^2)*1000),'r--','linewidth',2)
 plot(1e4*Lx(1:end-1),10*log10(50*(1/2*Ft2.^2)*1000),'b--','linewidth',2)
 %%%
%  for i=100:200
%  plot(pi*(3.5e-4)^2*Jn(:,i))
%  pause(0.2)
%  hold on
%  end
%%
xl = xlabel('Position ({\it{\mu}}m)');
yl = ylabel('Harmonic Power (dBm)');
axis([0,1.49,-300,-10])
%set(gca,'YLim',[-160,0])
set(gca, 'FontSize',24,'FontName','Times New Roman')
set(xl, 'FontSize',24,'FontName','Times New Roman')
set(yl, 'FontSize',24,'FontName','Times New Roman')
set(gcf, 'PaperPosition',[0 0 4 3],'PaperSize',[4 3])
set(gca, 'XMinorGrid', 'off')


