% Franz Keldsly effect
%E=1e6; % electric field
clear
i=0;
for Ei=1:100:1e6
    E=1*10^Ei;
    C=4.3152e15/14.2607;
    i=i+1;
omga1=1.216e15;
 omga=1.1379e15;
 h=6.626e-34;
 e=1.6e-19;
 hpi=h/pi;
 mu=0.041*0.59/(0.041+0.59)*9.3e-31;
 thetaF=(e^2*E^2/(2*mu*hpi))^(1/3);
 beta=(omga1-omga)/thetaF;
 alpha(i)=C*thetaF^(1/2)/omga*((abs(airy(1,beta)))^2-beta*(abs(airy(beta)))^2);
end
plot(alpha)

% abs0=0.3187*(omga-omga1)^(1/2)/omga
% C=1.15e6/abs0;