function alpha=Franz_compbell(E,omga,Eg,Phi)
h=6.626e-34;
q=1.6e-19;
hbar=0.5*h/pi;
%Eg=0.74;% unit eV
m0=9.1e-31;
mestar=0.041*m0;
mhhstar=0.43*m0;
mlhstar=0.04*m0;
phi=Phi/sqrt(q); % cm-1eV-1/2 % Phi=1.48e4

%if abs(E)
%    E(abs(E)>5e6)=sign(E(abs(E)>5e6))*5e6;
%end
F=q*E;
u1=mestar*mhhstar/(mestar+mhhstar);
u2=mestar*mlhstar/(mestar+mlhstar);
beta=2*u1*F/(hbar^2);
y0=2*u1*(Eg*q-omga*hbar)./(hbar^2*beta.^(2/3));
alpha1=pi*phi*hbar*2*u1*beta.^(1/3)/((2*u1)^(3/2)+(2*u2)^(3/2)).*((abs(airy(1,y0))).^2-y0.*(abs(airy(y0))).^2);

beta=2*u2*F/(hbar^2);
y0=2*u2*(Eg*q-omga*hbar)./(hbar^2*beta.^(2/3));
alpha2=pi*phi*hbar*2*u2*beta.^(1/3)/((2*u1)^(3/2)+(2*u2)^(3/2)).*((abs(airy(1,y0))).^2-y0.*(abs(airy(y0))).^2);
alpha=alpha1+alpha2;
