classdef Norm_parameter < handle
    %UNTITLED2 Summary of this class goes here
    %   Detailed explanation goes here
    properties
        KB;
        q;
        Ebslon;
        Ni;
        T
        VT% temperature
        NX
        D0
        NT
        Nmu
        J0
        beta
        beta2;
    end
    properties (Constant)

%         VT=KB*Temperature/q;% normalized voltage or potential
%         NX=sqrt(Ebslon/q*VT/Ni);% normolized position x
%         D0=8000*VT;%normolized diffusion coeificient
%         NT=NX^2/D0;% normolized time t
%         Nmu=D0/VT;% normolized mobility;
%         J0=q*D0*Ni/NX;
    end
    
    methods
        function obj=Norm_parameter(KB,q,Ebslon,Ni,T,beta,beta2)
            obj.KB=KB;
            obj.q=q;
            obj.Ebslon=Ebslon;
            obj.Ni=Ni;
            obj.T=T;
            
            obj.VT=KB*T/q;% normalized voltage or potential
            obj.NX=sqrt(Ebslon/q*obj.VT/Ni);% normolized position x
            obj.D0=8000*obj.VT;%normolized diffusion coeificient
            obj.NT=obj.NX^2/obj.D0;% normolized time t
            obj.Nmu=obj.D0/obj.VT;% normolized mobility;
            obj.J0=q*obj.D0*Ni/obj.NX;
            obj.beta=(beta)/(obj.NX/obj.VT)^2;
            obj.beta2=(beta2)/(obj.NX/obj.VT)^2;% the fitting parameter 0.8e-7
        end

    end
    
end

