% calculate the steady state junction capacitance
% use the definition C=dQ/dV
clear
para1=[0,1];
%para2=[150,300];
Parameters_NR
%for pai1=1:2
%for pai2=1:2
%up=para2(pai2)/(NP.Nmu);
%BF=para1(pai1);
BF=0;
%pabs=para1(pai1);
%pabs=0;
%capped=para1(pai1);
capped=0;
Bias=5;
gamma=1;
up=300/NP.Nmu;
% GL, FL is the light intensity and frequence
% light power p=N*hv;
Power=1.4e-3; %unit watt h=  6.6260755�?0-34 J.s
NPh=Power*0.7/(0.95e-4*q*pi*(Diameter(N2)/2)^2); % num of the photons wavelength=1319nm  f=c/1319=2.27e14; energy of photon is hv
NPh=NPh/(Ni/NP.NT); % normlization

%capped=1;
%NPh=2e-3;
G0=1.3e-3/10;
FL=5e9;
jj=0;


Tol1=Tol*Ni;

for ii=1:30
    GL(1:N,1)=1*G0; % per volume
GL(1:N1,1)=1*Diameter(N2)^2./(30e-4).^2*1*G0;
deltav=0.1;% unit V
Bias=ii;    
Main_Fsolve_N_C_STATE
%temp=find(Tol1+p-n<0);
Charge=+p-n;
temp=find(Charge(2:end-1)<=0);
temp1= find(Charge(2:end-1)>0);

Q1da=0.25*pi*Diameter(N2)^2*sum(Doping_ion(2:N1)*NX.*mesh1.dx1(1:N1-1));
Q1dd=0.25*pi*Diameter(N2)^2*sum(Doping_ion(N1+1:end-1)*NX.*mesh1.dx1(N1:end));

Q1s=0.25*pi*Diameter(N2)^2*sum(NX*mesh1.dx1.*Charge(2:end-1));
Q1=0.25*pi*Diameter(N2)^2*sum(NX*mesh1.dx1(temp).*Charge(1+temp));
Q1m=0.25*pi*Diameter(N2)^2*sum(NX*mesh1.dx1(temp1).*Charge(1+temp1));
Bias=Bias+deltav;
Main_Fsolve_N_C_STATE
Charge=+p-n;
temp=find(Charge(2:end-1)<=0);
temp1=find(Charge(2:end-1)>0);
Q2s=0.25*pi*Diameter(N2)^2*sum(NX*mesh1.dx1.*Charge(2:end-1));
Q2=0.25*pi*Diameter(N2)^2*sum(NX*mesh1.dx1(temp).*Charge(1+temp));
Q2m=0.25*pi*Diameter(N2)^2*sum(NX*mesh1.dx1(temp1).*Charge(1+temp1));
Q2da=0.25*pi*Diameter(N2)^2*sum(Doping_ion(2:N1)*NX.*mesh1.dx1(1:N1-1));
Q2dd=0.25*pi*Diameter(N2)^2*sum(Doping_ion(N1+1:end-1)*NX.*mesh1.dx1(N1:end));

Cap_j1(ii)=q*(Q2-Q1)/deltav;
Cap_j2(ii)=-q*(Q2m-Q1m)/deltav;
Cap_j3(ii)=-q*(Q2s-Q1s)/deltav;
Cap_j4(ii)=-q*(Q2da-Q1da)/deltav;
Cap_j5(ii)=q*(Q2dd-Q1dd)/deltav;

end
plot(Cap_j1+Cap_j5,'r-','Linewidth',2)
hold on
plot(Cap_j2+Cap_j4,'g-','Linewidth',2)