function NEWMAIN_VOL(filenum)
filenum=82;
gamma=4;
up=300;
dir=['Results/G7/',int2str(filenum)];
mkdir(dir);
inpx=str2num(getenv('SLURM_ARRAY_TASK_ID'));
for main_i=inpx
    deltaV=1;
BIAS1=main_i/4;
G00=15.5526*1.1;%10.5526 21.0526/17 for Campbell Franz unit power light mW.conresponse to the light generation of 0.0012 % 1.2 % 0.12 
% this is the power of the light of input
  %G00=main_i*1.3e-4;  
      switch BIAS1
        case 1.5
            Ae=9e7;
            Be=1.1e6;
        case 2
            Ae=10e7;
            Be=1.1e6;
        case 2.5
            Ae=13e7;
            Be=1.2e6;
        case 3
            Ae=6e7;
            Be=1.3e6;
        case 3.5
            Ae=1e7;
            Be=2.2e6;
        case 4
            Ae=2e7;
            Be=3e6;
        case 4.5
            Ae=2e7;
            Be=1.9e6;
        case 5
            Ae=1.5e7;
            Be=2e6;
        otherwise
            Ae=9.2e7;
            Be=1.1e6;
      end
    Ae=1.5e7;
    Be=1.9e6;
    Ah=0;
    Bh=2.26e6;
    Impact_Ion=1;
      BF=0;
      Fre=2e9; % frequenece
      DeltaEA=0.025;
      DeltaED=0.005;
      
      if BIAS1==2
          [p,n,w,Js]=SteadyPDsolver(2,BF,G00,gamma,up,0,Ae,Be,Ah,Bh,0,0,0,0,0,deltaV,DeltaEA,DeltaED);
          [p,n,w,Js]=SteadyPDsolver(2,BF,G00,gamma,up,Impact_Ion,Ae,Be,Ah,Bh,1,p,n,w,Js,deltaV,DeltaEA,DeltaED);
           [p,n,w,Js,Jvt,Jdis,Jtp,Jtn]=DynamicPDsolver(BIAS1,BF,G00,Fre,'Results/G7/',filenum,Ae,Be,0,2.26e8,gamma,up,1,p,n,w,Js,DeltaEA,DeltaED,Impact_Ion);
          
          %[p,n,w,Js,Jvt,Jdis]=DynamicPDsolver(BIAS1,0,G00,2e9,'Results/G1/',filenum,Ae,Be,0,2e8,gamma,up,1,p,n,w);
          %       elseif BIAS1==2
          %           [p,n,w]=SteadyPDsolver(1,0,G00,gamma,up,1,Ae,Be,0,2e8,0,0,0,0);
          %           [p,n,w]=SteadyPDsolver(2,0,G00,gamma,up,1,Ae,Be,0,2e8,1,p,n,w);
          %[p,n,w,Js,Jvt,Jdis]=DynamicPDsolver(BIAS1,0,G00,2e9,'Results/G1/',filenum,Ae,Be,0,2e8,gamma,up,1,p,n,w);
%        elseif BIAS1==1.5
%            [p,n,w]=SteadyPDsolver(BIAS1,0,G00,gamma,up,1,Ae,Be,0,2e8,1,p,n,w);
%           [p,n,w,Js,Jvt,Jdis]=DynamicPDsolver(BIAS1,0,G00,2e9,'Results/G1/',filenum,Ae,Be,0,2e8,gamma,up,1,p,n,w);
      else%if BIAS1==2.5|BIAS1==2|BIAS1==6
          [p,n,w,Js]=SteadyPDsolver(BIAS1,BF,G00,gamma,up,0,Ae,Be,Ah,Bh,0,0,0,0,0,deltaV,DeltaEA,DeltaED);
          [p,n,w,Js]=SteadyPDsolver(BIAS1,BF,G00,gamma,up,Impact_Ion,Ae,Be,Ah,Bh,1,p,n,w,Js,deltaV,DeltaEA,DeltaED);
%           [p,n,w]=SteadyPDsolver(BIAS1,BF,G00,gamma,up,1,Ae,Be,0,2.26e8,1,p,n,w,deltaV,DeltaEA,DeltaED-0.01);
%           [p,n,w]=SteadyPDsolver(BIAS1,BF,G00,gamma,up,1,Ae,Be,0,2.26e8,1,p,n,w,deltaV,DeltaEA,DeltaED);
          [p,n,w,Js,Jvt,Jdis,Jtp,Jtn]=DynamicPDsolver(BIAS1,BF,G00,Fre,'Results/G7/',filenum,Ae,Be,0,2.26e8,gamma,up,1,p,n,w,Js,DeltaEA,DeltaED,Impact_Ion);
%       else
%            [p,n,w]=SteadyPDsolver(BIAS1,0,G00,gamma,up,1,Ae,Be,0,2e8,1,p,n,w);
      end
      
% p ,n,w are the steady state solution carrier density and potential
% ,initial state is to decide weather to calculate the results using the
% given initial guess. For the first calculation, initial should be zero,
% for the increasing applied voltage, initial state should set to 1, and
% using the previous results as the initial guess.
%[p,n,w,Js,Jvt,Jdis]=DynamicPDsolver(Bias,BF,G0,FL,dir,filenum1,gamma,up,Ae,Be,Ah,Bh)
if 1%BIAS1==2|BIAS1==2.5|BIAS1==6
%     dir=['Results/G7/',int2str(filenum)];
    dir11=[dir,'/J',num2str(main_i),'.txt'];
    fid = fopen(dir11,'w');
    fprintf(fid,'%8e\r\n',Jvt);
    fclose(fid);
    dir12=[dir,'/Jpt',num2str(main_i),'.txt'];
    fid = fopen(dir12,'w');
    fprintf(fid,'%8e\r\n',Jtp);
    fclose(fid);
    dir12=[dir,'/Jnt',num2str(main_i),'.txt'];
    fid = fopen(dir12,'w');
    fprintf(fid,'%8e\r\n',Jtn);
    fclose(fid);
    dir12=[dir,'/Jdis',num2str(main_i),'.txt'];
    fid = fopen(dir12,'w');
    fprintf(fid,'%8e\r\n',Jdis);
    fclose(fid);
end
end

