% Franz Keldsly effect
%E=1e6; % electric field
function alpha=Absorp_FKO(E,omga,Eg,alpha0)

if E==0
    alpha=alpha0;
else
    
%C=4.3152e13/14.2607*1.643/1.2822;%1.2522
%C=1.76e12;
E1=E;
E=1000;
C=1;
%omga=1.429e18;

%omga1=2.15e15;
h=6.626e-34;
e=1.6e-19;
omga1=Eg*e*2*pi/h; %1.0924e15; % 1.1379e15 for 0.75eV , 1.0924e15 for 0.73eV

hpi=0.5*h/pi;
mu=0.038*9.3e-31; % for the light effective mass 0.0202,heavy is 0.0383
thetaF=(e^2*E.^2/(2*mu*hpi)).^(1/3);
beta=(omga1-omga)./thetaF;
alpha=C/omga.*thetaF.^(1/2).*((abs(airy(1,beta))).^2-beta.*(abs(airy(beta))).^2);
C=alpha0/alpha;
E=E1;
thetaF=(e^2*E.^2/(2*mu*hpi)).^(1/3);
beta=(omga1-omga)./thetaF;
alpha=C/omga.*thetaF.^(1/2).*((abs(airy(1,beta))).^2-beta.*(abs(airy(beta))).^2);
%alpha=C/omga*(thetaF^(1/2)*((abs(airy(1,beta))).^2-beta.*(abs(airy(beta))).^2))-0.3187*(omga-omga1)^(1/2);
end
%plot(alpha)

% abs0=0.3187*(omga-omga1)^(1/2)/omga
% C=1.15e6/abs0;
