% calculate  I-V curve under dark condition
clear
i=0;
Jdark=zeros(11,1);
initial_state=0; %  indicate the initial state, if there has some result before, set initial state=1;
deltaV=0.5;
% G0=1.27e24;% 100 uw light power
G0=6.1252e-06; % normlization
for Bias=1:deltaV:6
    i=i+1;
    Impact=1;
    switch Bias
        case 1.5
            Ae=5.3e7;
            Be=1.8e6;
        case 2
            Ae=6.6e7;
            Be=2.1e6;
        
        case 2.5
            Ae=9.9e7;
            Be=2.4e6;
        case 3
            Ae=7.8e7;
            Be=2.6e6;
        case 3.5
            Ae=2.2e7;
            Be=2.6e6;
        case 4
            Ae=7.5e6;
            Be=2.6e6;
        case 4.5
            Ae=8.2e6;
            Be=2.7e6;
        case 5
            Ae=1.2e7;
            Be=2.8e6;
        case 5.5
            Ae=6.6e6;
            Be=2.7e6;
        case 6
            Ae=9.2e6;
            Be=2.7e6;
        otherwise
            Ae=9.2e6;
            Be=2.7e6;
    end
    Ae=0e7;
    Be=3.1e6;
Ah=0e7;
Bh=2.3e6;
up=300;
            
%     if Bias>3
%         
%         Impact=1;
%     else
%         Impact=1;
%     end
    if initial_state==0
        [p,n,w,pm,nm,wm,Js]=SteadyPDsolver(Bias-0.01,0,G0,1,up,Impact,Ae,Be,Ah,Bh,initial_state,0,0,0,deltaV);
    else
        [p,n,w,pm,nm,wm,Js]=SteadyPDsolver(Bias,0,G0,1,up,Impact,Ae,Be,Ah,Bh,initial_state,p,n,w,deltaV);
    end
    initial_state=1;
        
%(Bias,BF,G0,gamma,up,Impact_Ion,Ae,Be,Ah,Bh)
Jdark(i)=Js;
end
%figure(2)
hold on
plot(1:deltaV:6,Jdark(1:end),'r')